Debian Bug report logs - #463083
eperl: FTBFS with Perl 5.10

version graph

Package: eperl; Maintainer for eperl is Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>; Source for eperl is src:eperl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 29 Jan 2008 12:27:02 UTC

Severity: important

Tags: patch

Found in version eperl/2.2.14-15

Fixed in version eperl/2.2.14-15.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#463083; Package eperl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: eperl: FTBFS with Perl 5.10
Date: Tue, 29 Jan 2008 14:25:19 +0200
Package: eperl
Version: 2.2.14-15
Severity: important
User: debian-perl@lists.debian.org
Usertag: perl-5.10-transition

Your package fails to build with Perl 5.10 (currently in experimental)
on amd64:

cc -Wl,-E -L/usr/local/lib -L/usr/lib/perl/5.10/CORE  -o eperl eperl_main.o eperl_perl5.o eperl_parse.o eperl_pp.o eperl_sys.o eperl_http.o eperl_getopt.o eperl_debug.o eperl_config.o eperl_version.o eperl_readme.o eperl_license.o eperl_logo.o eperl_powered.o /usr/lib/perl/5.10/auto/DynaLoader/DynaLoader.a -lperl -ldl -lm -lpthread -lc -lcrypt 
cc: /usr/lib/perl/5.10/auto/DynaLoader/DynaLoader.a: No such file or directory
make[1]: *** [eperl] Error 1
make[1]: Leaving directory `/home/niko/eperl-2.2.14'
make: *** [build-stamp] Error 2

Indeed, there's no DynaLoader.a in perl-base anymore. Unsetting 'perl_dla'
in configure.in and running autoconf makes the compilation succeed, and
'make test' reports no failures.

I suppose this should be determined through ExtUtils::Embed - compare

$ perl -MExtUtils::Embed -e ldopts
-Wl,-E  -L/usr/local/lib  -L/usr/lib/perl/5.10/CORE -lperl -ldl -lm -lpthread -lc -lcrypt

on 5.10, and

sid$ perl -MExtUtils::Embed -e ldopts
-Wl,-E  -L/usr/local/lib /usr/lib/perl/5.8/auto/DynaLoader/DynaLoader.a -L/usr/lib/perl/5.8/CORE -lperl -ldl -lm -lpthread -lc -lcrypt

on 5.8.

Information on the Perl 5.10 transition can be found at
<http://wiki.debian.org/Perl5.10Transition>

Cheers,
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#463083; Package eperl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. Full text and rfc822 format available.

Message #10 received at 463083@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 463083@bugs.debian.org
Subject: Re: Bug#463083: eperl: FTBFS with Perl 5.10
Date: Fri, 14 Mar 2008 09:10:15 +0200
[Message part 1 (text/plain, inline)]
tag 463083 patch
thanks

On Tue, Jan 29, 2008 at 02:25:19PM +0200, Niko Tyni wrote:
> Package: eperl
> Version: 2.2.14-15
> Severity: important
> User: debian-perl@lists.debian.org
> Usertag: perl-5.10-transition
> 
> Your package fails to build with Perl 5.10 (currently in experimental)
> on amd64:
> 
> cc -Wl,-E -L/usr/local/lib -L/usr/lib/perl/5.10/CORE  -o eperl eperl_main.o eperl_perl5.o eperl_parse.o eperl_pp.o eperl_sys.o eperl_http.o eperl_getopt.o eperl_debug.o eperl_config.o eperl_version.o eperl_readme.o eperl_license.o eperl_logo.o eperl_powered.o /usr/lib/perl/5.10/auto/DynaLoader/DynaLoader.a -lperl -ldl -lm -lpthread -lc -lcrypt 
> cc: /usr/lib/perl/5.10/auto/DynaLoader/DynaLoader.a: No such file or directory
> make[1]: *** [eperl] Error 1
> make[1]: Leaving directory `/home/niko/eperl-2.2.14'
> make: *** [build-stamp] Error 2

The attached rather crude patch makes eperl build with both Perl 5.8.8
and 5.10.0. It needs re-running autoconf afterwards, of course.

Cheers,
-- 
Niko Tyni   ntyni@debian.org
[463083.patch (text/x-diff, attachment)]

Tags added: patch Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 14 Mar 2008 07:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#463083; Package eperl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. Full text and rfc822 format available.

Message #17 received at 463083@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 463083@bugs.debian.org
Subject: eperl: diff for NMU version 2.2.14-15.1
Date: Sun, 6 Apr 2008 00:38:42 +0100
[Message part 1 (text/plain, inline)]
tags 463083 + patch
thanks

Hi,

Attached is the diff for my eperl 2.2.14-15.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[eperl-2.2.14-15.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 23:42:06 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 463083-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 463083-close@bugs.debian.org
Subject: Bug#463083: fixed in eperl 2.2.14-15.1
Date: Sat, 05 Apr 2008 23:47:03 +0000
Source: eperl
Source-Version: 2.2.14-15.1

We believe that the bug you reported is fixed in the latest version of
eperl, which is due to be installed in the Debian FTP archive:

eperl_2.2.14-15.1.diff.gz
  to pool/main/e/eperl/eperl_2.2.14-15.1.diff.gz
eperl_2.2.14-15.1.dsc
  to pool/main/e/eperl/eperl_2.2.14-15.1.dsc
eperl_2.2.14-15.1_i386.deb
  to pool/main/e/eperl/eperl_2.2.14-15.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463083@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated eperl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 00:37:02 +0100
Source: eperl
Binary: eperl
Architecture: source i386
Version: 2.2.14-15.1
Distribution: unstable
Urgency: low
Maintainer: Felipe Augusto van de Wiel (faw) <faw@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 eperl      - Embedded Perl 5 Language
Closes: 463083
Changes: 
 eperl (2.2.14-15.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with perl5.10 (closes: #463083)
   * Stop ignoring errors in clean target
   * Update Standards-Version (no changes)
Files: 
 8ff1830b5851f4b2704e32672df2975d 605 devel optional eperl_2.2.14-15.1.dsc
 c1fb9e72f3930a4a1060910919281be2 84815 devel optional eperl_2.2.14-15.1.diff.gz
 25c9aca0ba1a2533e84fb3f4c63b20f8 135436 devel optional eperl_2.2.14-15.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+A1dSYIMHOpZA44RAmhUAKDH56ydle98EJVryqgWjm2sHUJSlACggy1a
XUmLxEWpkAdFmAnv8tofgq8=
=ltfC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Jun 2008 07:45:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:30:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.